aboutsummaryrefslogtreecommitdiffstats
path: root/scripts/xds-utils
diff options
context:
space:
mode:
authorSebastien Douheret <sebastien.douheret@iot.bzh>2017-06-26 09:44:47 +0200
committerSebastien Douheret <sebastien.douheret@iot.bzh>2017-06-26 09:44:47 +0200
commit9dae26d67efff3a2fa7148228c7e9011501d24bb (patch)
tree6daca2c7d94949f944e80f71c579b2af8790641b /scripts/xds-utils
parentd3cb7d647c0f3c3aad9a60a8655b1f5427bbd778 (diff)
Intel SDK is now named corei7-64.
Diffstat (limited to 'scripts/xds-utils')
-rwxr-xr-xscripts/xds-utils/install-agl-sdks.sh12
1 files changed, 9 insertions, 3 deletions
diff --git a/scripts/xds-utils/install-agl-sdks.sh b/scripts/xds-utils/install-agl-sdks.sh
index 36849f9..8c0ee84 100755
--- a/scripts/xds-utils/install-agl-sdks.sh
+++ b/scripts/xds-utils/install-agl-sdks.sh
@@ -12,7 +12,7 @@ SDKS=$(curl -s ${SDK_BASEURL} | grep -oP 'href="[^"]*.sh"' | cut -d '"' -f 2)
usage() {
echo "Usage: $(basename $0) [-h|--help] [-clean] [-f|--file <agl-sdk-filename>] [-a|--arch <arch name>] [-l|--list]"
- echo "For example, arch name is: aarch64, armv7vehf or x86-64"
+ echo "For example, arch name is: aarch64, armv7vehf or corei7-64"
exit 1
}
@@ -61,14 +61,20 @@ while [ $# -ne 0 ]; do
shift
done
+if [ "$ARCH" = "x86-64" ]; then
+ echo "Warning x86-64 architure name is deprecated, please use corei7-64 instead !"
+ exit 1
+fi
+
[ ! -d ${XDT_SDK} ] && mkdir -p ${XDT_SDK}
if [ "$FILE" = "" ]; then
FILE=$(getFile $ARCH)
- SDK_FILE=${XDT_SDK}/${FILE}
- if [ "$?" != 0 ]; then
+ if [ "$?" != "0" ]; then
+ echo "$FILE"
exit 1
fi
+ SDK_FILE=${XDT_SDK}/${FILE}
elif [ ! -f $FILE ]; then
echo "SDK file not found: $FILE"
exit 1